Zigbee Module Examples

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
hal_helper.c File Reference

Utilities to assist changing hardware platforms. More...

`#include "hal.h"`

#define | TEST_TRISTATE_ALL_PORTS
int | main (void)

## Detailed Description

Utilities to assist changing hardware platforms.

We designed the ZM library and examples to be easy to port to different hardware platforms. All interface to the hardware is done through one Hardware Abstraction Library (HAL) file. To change hardware platforms you need to create a HAL file for your hardware platform.

These utility methods will help you if you are changing hardware platforms by providing simple test methods for the HAL methods required by the ZM library. You will need to supply your own hal_xxxx.c and hal_xxxx.h files, where xxxx is the name of your hardware platform. If you are changing hardware it is assumed that you are very familiar with your destination hardware platform.

There are several tests, #define the one you want to run. Run them in order.

To change hardware platforms:

- You will need access to an oscilloscope and/or logic analyzer. Good low cost ($150) logic analyzer: www.saleae.com
- Copy and rename the hal_mdb2.h and .c files for your hardware; e.g. hal_exp5438.c and hal_exp5438.h.
- Include your new hal_xxxx.c file in this project, and remove the existing hal_mdb2.c file
- Using the schematic of your target board, update the MACROS REQUIRED FOR Module in the .h file and all the methods in the .c file.
- Go through the tests below in order.
- Run the basic examples: button_blink, hello_world, and reset_radio.
- Be sure that the target device is configured in your compiler correctly.
- Next, run the basic communications examples.
- We recommend you get the examples working first, and then do any optimizations, rather than the other way around.

Note:
  the documentation displayed below will depend on which test is defined.

Rev:
  1642

Author:
  dsmith

Date:
  2012-10-31 11:17:04 -0700 (Wed, 31 Oct 2012)

# Support

Please refer to the wiki at www.anaren.com/air-wiki-zigbee for more information. Additional support is available via email at the following addresses:

- Questions on how to use the product: AIR@a.nosp@m.nare.nosp@m.n.com
- Feature requests, comments, and improvements: featu.nosp@m.rere.nosp@m.quest.nosp@m.s@te.nosp@m.slaco.nosp@m.ntro.nosp@m.ls.co.nosp@m.m
- Consulting engagements: sales.nosp@m.@tes.nosp@m.lacon.nosp@m.trol.nosp@m.s.com

# License

Copyright (c) 2012 Tesla Controls. All rights reserved. This Software may only be used with an Anaren A2530E24AZ1, A2530E24CZ1, A2530R24AZ1, or A2530R24CZ1 module. Redistribution and use in source and binary forms, with or without modification, are subject to the Software License Agreement in the file "anaren_eula.txt"

YOU FURTHER ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL ANAREN MICROWAVE OR TESLA CONTROLS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSE INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

int main | ( | void |  | ) |

    If either TEST_SYS_RESET_IND or TEST_SYS_GET_MAC then we'll need the following functionality.

These are repeated elsewhere in the library but placed here to avoid circular dependencies.